> For the complete documentation index, see [llms.txt](https://nviasoft.gitbook.io/nviasoft-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://nviasoft.gitbook.io/nviasoft-docs/api-reference/item-parsing/getlistitemclose.md).

# GetListItemClose

### int GetListItemClose(int lMsgId)

수신한 SECS 메시지에서 Open한 List Item을 닫는 함수입니다.

Sub Item을 모두 읽고 나면 GetListItemClose 함수를 이용하여 List를 닫아주어야 합니다. 해당 함수를 호출하면 해당 List의 다음 아이템에 접근 가능합니다.

{% hint style="danger" %}
GetListItemClose()와 GetListItemOpen() 은 세트(Set)로 동작하는 함수입니다.  GetListItem() 이 자동으로 리스트를 닫아주는 편의 기능을 제공했다면, 이 두 함수는 개발자가 리스트의 시작과 끝을 명시적으로 제어할 때 사용합니다.
{% endhint %}

Parameters

<table data-header-hidden><thead><tr><th width="225" valign="top"></th><th width="117" valign="top"></th><th valign="top"></th></tr></thead><tbody><tr><td valign="top">Name</td><td valign="top">Type</td><td valign="top">Description</td></tr><tr><td valign="top">lMsgId</td><td valign="top">long</td><td valign="top">수신한 Message의 ID</td></tr></tbody></table>

```csharp
// 1. List Open (내부 항목 개수 반환)
    int nSubCount = m_gem.GetListItemOpen(lMsgId);
    {
        string strFirstValue = "";
        m_gem.GetItem(lMsgId, ref strFirstValue);
        Console.WriteLine($"첫 번째 값: {strFirstValue}");
    }
    m_gem.GetListItemClose(lMsgId);// GetListItemClose를 호출해야합니다.
    
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://nviasoft.gitbook.io/nviasoft-docs/api-reference/item-parsing/getlistitemclose.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
